<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<!-- TODO: Need a box favicon -->
	<link rel="apple-touch-icon-precomposed" sizes="180x180" href="static/images/favicon-default.png">
	<link rel="icon" sizes="192x192" href="static/images/favicon-default.png">

	<link rel="stylesheet" href="static/css/main.css" type="text/css"/>
	<link rel="stylesheet" href="static/css/file-download.css" type="text/css"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=0"/>
	<meta name="referrer" content="no-referrer"/>
	<meta name="Description" content="box.programsareproofs.com">

	<!-- Facebook OpenGraph -->
	<meta property="og:description" content="box.programsareproofs.com"/>
	<meta property="og:image"       content="static/images/favicon-default.png"/>

	<title>box.programsareproofs.com</title>
</head>
<body>
<canvas class="hills" id="hills-background"></canvas>
<canvas class="hills" id="hills-canvas4"></canvas>
<canvas class="hills" id="hills-canvas3"></canvas>
<canvas class="hills" id="hills-canvas2"></canvas>
<canvas class="hills" id="hills-canvas1"></canvas>
<div id="main">
	<h1>box.programsareproofs.com</h1>
	<h2></h2>
	<div id="file-upload" class="upload">
		<!-- I don't believe in dragondrop support -->
		<div id="file-upload-chooser">
			<input type="file" name="files[]" id="file-chooser-files" multiple />
			<label for="file-chooser-files" id="upload-text">Upload files</label>
		</div>
		<div id="file-upload-progress">
			<label for="progress" id="progress-text">Uploading</label><br>
			<progress name="progress" max="1"></progress>
		</div>
	</div>

	<h2>Files (Verified)</h2>
	<div id="file-listing-verified" class="text">
	</div>
	<h2>Files (Uploaded)</h2>
	<div id="file-listing-uploads" class="text">
	</div>
	<h2></h2>
</div>
</body>
<script src="static/js/mountains.js"></script>
<script src="static/js/directory.js"></script>
<script>
	initializeMountains("hills-canvas");
	new FileUpload("file-upload");

	new NginxDirectory("file-listing-verified", "files");
	new NginxDirectory("file-listing-uploads", "uploads");
</script>
</html>
